Download it now!
Bug 120120 - No macro security for smb
Summary: No macro security for smb
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
6.0.0.3 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Options-Dialog Macro
  Show dependency treegraph
 
Reported: 2018-09-26 06:11 UTC by Andreas Säger
Modified: 2020-07-17 11:10 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (82.43 KB, image/png)
2019-05-22 16:32 UTC, Andreas Säger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Säger 2018-09-26 06:11:40 UTC
Tools>Options>Security>[Macro Security...]
[X] Very High
Tab "Trusted Sources"
Trying to add an smb: folder from the Gnome file picker.

It inserts 
smb://path

Close and reopen the dialog

Now the path looks like
smb:/path 
and macro documents croak about missing permissions. The path of the loaded document is shown with two slashes in the URL toolbar.
Comment 1 Xisco Faulí 2019-05-22 14:55:13 UTC
Hello Andreas,
A new major release of LibreOffice is available since this bug was reported.
Could you please try to reproduce it with the latest version of LibreOffice
from https://www.libreoffice.org/download/libreoffice-fresh/ ?
I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the bug is still present in the latest version.
Comment 2 Andreas Säger 2019-05-22 16:22:39 UTC
LO 6.2.3.2 on Ubuntu Linux (Gnome3) can not save documents on a remote smb share nor can it set macro security nor register databases. 
All I can do with the LO file pickers and save dialogs is open, edit and save existing documents on the smb share.
Comment 3 Andreas Säger 2019-05-22 16:32:49 UTC
Created attachment 151601 [details]
Screenshot

Screenshot of trying to register an odb file on smb share by using the file picker. After picking the file, the error tells me that the file is not there.
Comment 4 QA Administrators 2019-05-23 02:51:23 UTC Comment hidden (obsolete)
Comment 5 Xisco Faulí 2019-10-21 12:09:00 UTC
Hi Andreas Säger,
I believe this should be fixed in the latest version of LibreOffice.
Could you please try to reproduce it with the latest version of LibreOffice
from https://www.libreoffice.org/download/libreoffice-fresh/ ?
I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the bug is still present in the latest version.
Comment 6 Andreas Säger 2019-10-21 17:24:17 UTC
Well. The error message says that the selected file does not exist on the local file system which is true of course. If this is an intended restriction (makes sense with embedded databases) everything is OK.
Comment 7 QA Administrators 2019-10-22 02:33:17 UTC Comment hidden (obsolete)
Comment 8 Xisco Faulí 2020-07-17 11:10:29 UTC
(In reply to Andreas Säger from comment #6)
> Well. The error message says that the selected file does not exist on the
> local file system which is true of course. If this is an intended
> restriction (makes sense with embedded databases) everything is OK.

Closing as RESOLVED WORKSFORME